<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.ss.formula.eval Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.ss.formula.eval Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/constant/package-tree.html">Prev</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/forked/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/package-tree.html"
               target="_top">Frames</a></li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.ss.formula.eval</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                        title="class in org.apache.poi.ss.formula.eval"><span
                        class="typeNameLink">AreaEvalBase</span></a> (implements org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                        title="interface in org.apache.poi.ss.formula.eval">AreaEval</a>)
                </li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/BlankEval.html"
                        title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">BlankEval</span></a>
                    (implements org.apache.poi.ss.formula.eval.<a
                            href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>)
                </li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/BoolEval.html"
                        title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">BoolEval</span></a>
                    (implements org.apache.poi.ss.formula.eval.<a
                            href="../../../../../../org/apache/poi/ss/formula/eval/NumericValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">NumericValueEval</a>,
                    org.apache.poi.ss.formula.eval.<a
                            href="../../../../../../org/apache/poi/ss/formula/eval/StringValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">StringValueEval</a>)
                </li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/ErrorEval.html"
                        title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">ErrorEval</span></a>
                    (implements org.apache.poi.ss.formula.eval.<a
                            href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>)
                </li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/ExternalNameEval.html"
                        title="class in org.apache.poi.ss.formula.eval"><span
                        class="typeNameLink">ExternalNameEval</span></a> (implements org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>)
                </li>
                <li type="circle">org.apache.poi.ss.formula.functions.<a
                        href="../../../../../../org/apache/poi/ss/formula/functions/Fixed1ArgFunction.html"
                        title="class in org.apache.poi.ss.formula.functions"><span class="typeNameLink">Fixed1ArgFunction</span></a>
                    (implements org.apache.poi.ss.formula.functions.<a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Function1Arg.html"
                            title="interface in org.apache.poi.ss.formula.functions">Function1Arg</a>)
                    <ul>
                        <li type="circle">org.apache.poi.ss.formula.eval.<a
                                href="../../../../../../org/apache/poi/ss/formula/eval/PercentEval.html"
                                title="class in org.apache.poi.ss.formula.eval"><span
                                class="typeNameLink">PercentEval</span></a></li>
                        <li type="circle">org.apache.poi.ss.formula.eval.<a
                                href="../../../../../../org/apache/poi/ss/formula/eval/UnaryMinusEval.html"
                                title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">UnaryMinusEval</span></a>
                        </li>
                        <li type="circle">org.apache.poi.ss.formula.eval.<a
                                href="../../../../../../org/apache/poi/ss/formula/eval/UnaryPlusEval.html"
                                title="class in org.apache.poi.ss.formula.eval"><span
                                class="typeNameLink">UnaryPlusEval</span></a></li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.ss.formula.functions.<a
                        href="../../../../../../org/apache/poi/ss/formula/functions/Fixed2ArgFunction.html"
                        title="class in org.apache.poi.ss.formula.functions"><span class="typeNameLink">Fixed2ArgFunction</span></a>
                    (implements org.apache.poi.ss.formula.functions.<a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Function2Arg.html"
                            title="interface in org.apache.poi.ss.formula.functions">Function2Arg</a>)
                    <ul>
                        <li type="circle">org.apache.poi.ss.formula.eval.<a
                                href="../../../../../../org/apache/poi/ss/formula/eval/ConcatEval.html"
                                title="class in org.apache.poi.ss.formula.eval"><span
                                class="typeNameLink">ConcatEval</span></a></li>
                        <li type="circle">org.apache.poi.ss.formula.eval.<a
                                href="../../../../../../org/apache/poi/ss/formula/eval/IntersectionEval.html"
                                title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">IntersectionEval</span></a>
                        </li>
                        <li type="circle">org.apache.poi.ss.formula.eval.<a
                                href="../../../../../../org/apache/poi/ss/formula/eval/RangeEval.html"
                                title="class in org.apache.poi.ss.formula.eval"><span
                                class="typeNameLink">RangeEval</span></a></li>
                        <li type="circle">org.apache.poi.ss.formula.eval.<a
                                href="../../../../../../org/apache/poi/ss/formula/eval/RelationalOperationEval.html"
                                title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">RelationalOperationEval</span></a>
                            (implements org.apache.poi.ss.formula.functions.<a
                                    href="../../../../../../org/apache/poi/ss/formula/functions/ArrayFunction.html"
                                    title="interface in org.apache.poi.ss.formula.functions">ArrayFunction</a>)
                        </li>
                        <li type="circle">org.apache.poi.ss.formula.eval.<a
                                href="../../../../../../org/apache/poi/ss/formula/eval/TwoOperandNumericOperation.html"
                                title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">TwoOperandNumericOperation</span></a>
                            (implements org.apache.poi.ss.formula.functions.<a
                                    href="../../../../../../org/apache/poi/ss/formula/functions/ArrayFunction.html"
                                    title="interface in org.apache.poi.ss.formula.functions">ArrayFunction</a>)
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/FunctionEval.html"
                        title="class in org.apache.poi.ss.formula.eval"><span
                        class="typeNameLink">FunctionEval</span></a></li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/FunctionNameEval.html"
                        title="class in org.apache.poi.ss.formula.eval"><span
                        class="typeNameLink">FunctionNameEval</span></a> (implements org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>)
                </li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/MissingArgEval.html"
                        title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">MissingArgEval</span></a>
                    (implements org.apache.poi.ss.formula.eval.<a
                            href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>)
                </li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/NumberEval.html"
                        title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">NumberEval</span></a>
                    (implements org.apache.poi.ss.formula.eval.<a
                            href="../../../../../../org/apache/poi/ss/formula/eval/NumericValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">NumericValueEval</a>,
                    org.apache.poi.ss.formula.eval.<a
                            href="../../../../../../org/apache/poi/ss/formula/eval/StringValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">StringValueEval</a>)
                </li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/OperandResolver.html"
                        title="class in org.apache.poi.ss.formula.eval"><span
                        class="typeNameLink">OperandResolver</span></a></li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEvalBase.html"
                        title="class in org.apache.poi.ss.formula.eval"><span
                        class="typeNameLink">RefEvalBase</span></a> (implements org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                        title="interface in org.apache.poi.ss.formula.eval">RefEval</a>)
                </li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/RefListEval.html"
                        title="class in org.apache.poi.ss.formula.eval"><span
                        class="typeNameLink">RefListEval</span></a> (implements org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>)
                </li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/StringEval.html"
                        title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">StringEval</span></a>
                    (implements org.apache.poi.ss.formula.eval.<a
                            href="../../../../../../org/apache/poi/ss/formula/eval/StringValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">StringValueEval</a>)
                </li>
                <li type="circle">java.lang.Throwable (implements java.io.Serializable)
                    <ul>
                        <li type="circle">java.lang.Exception
                            <ul>
                                <li type="circle">org.apache.poi.ss.formula.eval.<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/EvaluationException.html"
                                        title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">EvaluationException</span></a>
                                </li>
                                <li type="circle">java.lang.RuntimeException
                                    <ul>
                                        <li type="circle">org.apache.poi.ss.formula.eval.<a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/NotImplementedException.html"
                                                title="class in org.apache.poi.ss.formula.eval"><span
                                                class="typeNameLink">NotImplementedException</span></a>
                                            <ul>
                                                <li type="circle">org.apache.poi.ss.formula.eval.<a
                                                        href="../../../../../../org/apache/poi/ss/formula/eval/NotImplementedFunctionException.html"
                                                        title="class in org.apache.poi.ss.formula.eval"><span
                                                        class="typeNameLink">NotImplementedFunctionException</span></a>
                                                </li>
                                            </ul>
                                        </li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <h2 title="Interface Hierarchy">Interface Hierarchy</h2>
    <ul>
        <li type="circle">org.apache.poi.ss.formula.<a
                href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">SheetRange</span></a>
            <ul>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                        title="interface in org.apache.poi.ss.formula.eval"><span
                        class="typeNameLink">RefEval</span></a> (also extends org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>)
                </li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../../org/apache/poi/ss/formula/ThreeDEval.html"
                        title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">ThreeDEval</span></a>
                    (also extends org.apache.poi.ss.formula.<a
                            href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                            title="interface in org.apache.poi.ss.formula">TwoDEval</a>)
                    <ul>
                        <li type="circle">org.apache.poi.ss.formula.eval.<a
                                href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                title="interface in org.apache.poi.ss.formula.eval"><span
                                class="typeNameLink">AreaEval</span></a> (also extends org.apache.poi.ss.formula.<a
                                href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                title="interface in org.apache.poi.ss.formula">TwoDEval</a>)
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
        <li type="circle">org.apache.poi.ss.formula.eval.<a
                href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                title="interface in org.apache.poi.ss.formula.eval"><span class="typeNameLink">ValueEval</span></a>
            <ul>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/NumericValueEval.html"
                        title="interface in org.apache.poi.ss.formula.eval"><span
                        class="typeNameLink">NumericValueEval</span></a></li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                        title="interface in org.apache.poi.ss.formula.eval"><span
                        class="typeNameLink">RefEval</span></a> (also extends org.apache.poi.ss.formula.<a
                        href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                        title="interface in org.apache.poi.ss.formula">SheetRange</a>)
                </li>
                <li type="circle">org.apache.poi.ss.formula.eval.<a
                        href="../../../../../../org/apache/poi/ss/formula/eval/StringValueEval.html"
                        title="interface in org.apache.poi.ss.formula.eval"><span
                        class="typeNameLink">StringValueEval</span></a></li>
                <li type="circle">org.apache.poi.ss.formula.<a
                        href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                        title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">TwoDEval</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.ss.formula.eval.<a
                                href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                title="interface in org.apache.poi.ss.formula.eval"><span
                                class="typeNameLink">AreaEval</span></a> (also extends org.apache.poi.ss.formula.<a
                                href="../../../../../../org/apache/poi/ss/formula/ThreeDEval.html"
                                title="interface in org.apache.poi.ss.formula">ThreeDEval</a>)
                        </li>
                        <li type="circle">org.apache.poi.ss.formula.<a
                                href="../../../../../../org/apache/poi/ss/formula/ThreeDEval.html"
                                title="interface in org.apache.poi.ss.formula"><span
                                class="typeNameLink">ThreeDEval</span></a> (also extends org.apache.poi.ss.formula.<a
                                href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                title="interface in org.apache.poi.ss.formula">SheetRange</a>)
                            <ul>
                                <li type="circle">org.apache.poi.ss.formula.eval.<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval"><span class="typeNameLink">AreaEval</span></a>
                                    (also extends org.apache.poi.ss.formula.<a
                                            href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                            title="interface in org.apache.poi.ss.formula">TwoDEval</a>)
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/constant/package-tree.html">Prev</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/forked/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/package-tree.html"
               target="_top">Frames</a></li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
